## org.apache.portals.bridges.jsf
Class AbstractAttributeMap.EntryIterator

    java.lang.Object
      org.apache.portals.bridges.jsf.AbstractAttributeMap.KeyIterator
          org.apache.portals.bridges.jsf.AbstractAttributeMap.EntryIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  AbstractAttributeMap

private class AbstractAttributeMap.EntryIterator
extends AbstractAttributeMap.KeyIterator

Not very efficient since it generates a new instance of `Entry` for each element and still internaly uses the `KeyIterator`. It is more efficient to use the `KeyIterator` directly.

Field Summary
`protected Object` `_currentKey`
`protected Enumeration` `_e`

Constructor Summary
`private` `AbstractAttributeMap.EntryIterator()`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _e

    protected final Enumeration _e

### _currentKey

    protected Object _currentKey

Constructor Detail

### AbstractAttributeMap.EntryIterator

    private AbstractAttributeMap.EntryIterator()

Method Detail

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`
  Overrides:
    `next` in class `AbstractAttributeMap.KeyIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.